<?php


class WB_BSL_Base
{

    public static function error($msg,$mod='')
    {
        WB_BSL_Utils::run_err($msg,$mod);
    }

    public static function info($msg,$mod='')
    {
        WB_BSL_Utils::run_log($msg,$mod);
    }


    public static function wb_push_post($post_id,$post)
    {
        if(wp_is_post_revision($post)){
            return;
        }
        if(!get_option('wb_bsl_ver',0)){
            return;
        }
        if(!wp_next_scheduled('bsl_single_push_url',['ID'=>$post_id])){
            wp_schedule_single_event(current_time('U',1)+30,'bsl_single_push_url',['ID'=>$post_id]);
        }

    }
}